import unittest
from FunctionalTests.tests import test_ConfigParserExt
from FunctionalTests.tests import test_Result

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest( test_ConfigParserExt.test_suite() )
    suite.addTest( test_Result.test_suite() )
    return suite

def run():
    if hasattr( unittest, 'JUnitTextTestRunner' ):
        unittest.JUnitTextTestRunner().run( test_suite() )
    else:
        unittest.TextTestRunner( verbosity=1 ).run( test_suite() )

if __name__ == '__main__':
    run()

